## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20231107.00
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# Remove references to Google's ContainerOS since we're building this for
# Fedora.
Patch0:         google-osconfig-agent-remove-containeros.patch

# Remove serial port code because it depends on a very, very out of date serial module.
# https://github.com/GoogleCloudPlatform/guest-agent/issues/252
Patch1:         google-osconfig-agent-remove-serial-port-functionality.patch

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
%gopkginstall
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/

install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
%gocheck -d agentendpoint -d config -d ospatch -d packages
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%gopkgfiles

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
* Wed Nov 08 2023 Packit <hello@packit.dev> - 20231107.00-1
- [packit] 20231107.00 upstream release
- Resolves rhbz#2248651

* Tue Nov 07 2023 Major Hayden <major@redhat.com> - 20231103.02-1
- Update to 20231103.02 rhbz#2240026

* Tue Nov 07 2023 Major Hayden <major@redhat.com> - 20230920.00-3
- Update packit config

* Thu Sep 21 2023 Major Hayden <major@redhat.com> - 20230920.00-2
- Update to 20230920.00

* Thu Sep 21 2023 Major Hayden <major@redhat.com> - 20230920.00-1
- Update to 20230920.00

* Thu Sep 14 2023 Major Hayden <major@redhat.com> - 20230912.01-1
- Update to 20230912.01

* Thu Sep 14 2023 Major Hayden <major@redhat.com> - 20230829.00-2
- Add packit config

* Fri Sep 01 2023 Major Hayden <major@redhat.com> - 20230829.00-1
- Update to 20230829.00

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230706.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Major Hayden <major@redhat.com> - 20230706.02-1
- Update to 20230706.02 rhbz#2221164

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 20230605.00-1
- Update to 20230605.00 rhbz#2212002

* Mon May 08 2023 Major Hayden <major@redhat.com> - 20230504.00-1
- Update to 20230504.00 rhbz#2193473

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 20230403.00-1
- Update to 20230403.00 rhbz#2183613

* Tue Mar 28 2023 Major Hayden <major@redhat.com> - 20230327.00-1
- Update to 20230327.00 rhbz#2172747

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 20230217.00-1
- Update to 20230217.00 rhbz#2170934

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-2
- Exclude some additional tests

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-1
- Update to 20230208.00 rhbz#2163679

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221214.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-2
- Skip the agentendpoint test

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-1
- Update to 20221214.00 rhbz#2153633

* Tue Oct 18 2022 Major Hayden <major@redhat.com> - 20221013.01-1
- Update to 20221013.01 rhbz#2135016

* Tue Aug 30 2022 Major Hayden <major@redhat.com> - 20220829.00-1
- Update to 20220829.00 rhbz#2122530

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-2
- Remove commented preset lines

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-1
- Update to 20220824.00 rhbz#2121287

* Tue Aug 23 2022 Major Hayden <major@redhat.com> - 20220801.00-1
- Initial import rhbz#2120396
